Clinia
Data CatalogPartitions

Create a data partition

PUT
/catalog/v1/partitions/{partitionKey}

Create a data partition.

X-Clinia-API-Key<token>

In: header

Path Parameters

partitionKey*string

Key of the data partition it must follow pattern: ^[a-zA-Z0-9-][\w-]{0,61}$.

Query Parameters

stage?boolean

If true, the partition will be created as a staged partition. Staged partitions are mutable and can be modified.

If false, the partition will be created directly. This is the default behaviour and will make the data partition are immutable.

As of now, staged partitions are not fully supported and it is recommended to directly create ready partitions.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/catalog/v1/partitions/string" \  -H "Content-Type: application/json" \  -d '{    "source": {      "sources": [        "string"      ],      "collections": [        {          "properties": {            "property1": {              "type": "address"            },            "property2": {              "type": "address"            }          },          "mappings": [            {              "source": "string",              "type": "string",              "propertyMappings": {                "property1": {                  "mappingType": "VALUE",                  "value": "string"                },                "property2": {                  "mappingType": "VALUE",                  "value": "string"                }              }            }          ],          "key": "string"        }      ],      "relationships": [        {          "from": {            "profileKey": "string",            "includeKey": "string"          },          "to": {            "profileKey": "string",            "includeKey": "string"          },          "relationshipType": "string"        }      ]    }  }'
{  "key": "string",  "source": {    "sources": [      "string"    ],    "collections": [      {        "properties": {          "property1": {            "type": "address",            "readOnly": false,            "description": "string",            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            },            "modelId": "string",            "enrichedProperties": {},            "properties": {              "property1": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              },              "property2": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              }            }          },          "property2": {            "type": "address",            "readOnly": false,            "description": "string",            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            },            "modelId": "string",            "enrichedProperties": {},            "properties": {              "property1": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              },              "property2": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              }            }          }        },        "mappings": [          {            "source": "string",            "type": "string",            "propertyMappings": {              "property1": {                "mappingType": "VALUE",                "value": "string"              },              "property2": {                "mappingType": "VALUE",                "value": "string"              }            }          }        ],        "reconciliationRules": {          "type": "SYSTEM",          "rules": {            "property1": "LATEST",            "property2": "LATEST"          }        },        "contained": {          "property1": {            "type": "string",            "properties": {              "property1": {                "type": "address",                "readOnly": false,                "description": "string",                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                },                "modelId": "string",                "enrichedProperties": {},                "properties": {                  "property1": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  },                  "property2": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  }                }              },              "property2": {                "type": "address",                "readOnly": false,                "description": "string",                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                },                "modelId": "string",                "enrichedProperties": {},                "properties": {                  "property1": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  },                  "property2": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  }                }              }            },            "mappings": [              {                "source": "string",                "type": "string",                "propertyMappings": {                  "property1": {                    "mappingType": "VALUE",                    "value": "string"                  },                  "property2": {                    "mappingType": "VALUE",                    "value": "string"                  }                },                "containedKey": "string"              }            ]          },          "property2": {            "type": "string",            "properties": {              "property1": {                "type": "address",                "readOnly": false,                "description": "string",                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                },                "modelId": "string",                "enrichedProperties": {},                "properties": {                  "property1": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  },                  "property2": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  }                }              },              "property2": {                "type": "address",                "readOnly": false,                "description": "string",                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                },                "modelId": "string",                "enrichedProperties": {},                "properties": {                  "property1": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  },                  "property2": {                    "rules": [                      {                        "required": true,                        "pattern": "string",                        "enum": [                          "string"                        ],                        "min": 0,                        "max": 0,                        "when": {                          "id": "string",                          "and": [                            null                          ]                        }                      }                    ],                    "properties": {                      "property1": {},                      "property2": {}                    },                    "items": {},                    "binding": {                      "vocabulary": {                        "key": "string",                        "strength": "required"                      }                    }                  }                }              }            },            "mappings": [              {                "source": "string",                "type": "string",                "propertyMappings": {                  "property1": {                    "mappingType": "VALUE",                    "value": "string"                  },                  "property2": {                    "mappingType": "VALUE",                    "value": "string"                  }                },                "containedKey": "string"              }            ]          }        },        "traversedProperties": [          "string"        ],        "key": "string"      }    ],    "relationships": [      {        "from": {          "profileKey": "string",          "includeKey": "string"        },        "to": {          "profileKey": "string",          "includeKey": "string"        },        "properties": {          "property1": {            "type": "address",            "readOnly": false,            "description": "string",            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            },            "modelId": "string",            "enrichedProperties": {},            "properties": {              "property1": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              },              "property2": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              }            }          },          "property2": {            "type": "address",            "readOnly": false,            "description": "string",            "rules": [              {                "required": true,                "pattern": "string",                "enum": [                  "string"                ],                "min": 0,                "max": 0,                "when": {                  "id": "string",                  "and": [                    null                  ]                }              }            ],            "binding": {              "vocabulary": {                "key": "string",                "strength": "required"              }            },            "modelId": "string",            "enrichedProperties": {},            "properties": {              "property1": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              },              "property2": {                "rules": [                  {                    "required": true,                    "pattern": "string",                    "enum": [                      "string"                    ],                    "min": 0,                    "max": 0,                    "when": {                      "id": "string",                      "and": [                        null                      ]                    }                  }                ],                "properties": {                  "property1": {},                  "property2": {}                },                "items": {},                "binding": {                  "vocabulary": {                    "key": "string",                    "strength": "required"                  }                }              }            }          }        },        "mappings": [          {            "source": "string",            "type": "string",            "propertyMappings": {              "property1": {                "mappingType": "VALUE",                "value": "string"              },              "property2": {                "mappingType": "VALUE",                "value": "string"              }            }          }        ],        "reconciliationRules": {          "type": "SYSTEM",          "rules": {            "property1": "LATEST",            "property2": "LATEST"          }        },        "relationshipType": "string"      }    ]  },  "status": "STATUS_READY"}